[Yandex Cloud documentation](../../../../index.md) > [Yandex Certificate Manager](../../../index.md) > API reference > REST > [Certificate Manager Private CA API](../index.md) > [PrivateCa](index.md) > GetCsrForCertificateAuthority

# Certificate Manager Private CA API, REST: PrivateCa.GetCsrForCertificateAuthority

Retrieves the CSR for a given Certificate Authority (CA), generated by GenerateCsrForCertificateAuthority method.
This retrieves the CSR so that it can be signed by an external CA.

## HTTP request

```
GET https://private-ca.certificate-manager.api.cloud.yandex.net/privateca/v1/certificateAuthorities/{certificateAuthorityId}/csr
```

## Path parameters

Retrieve the CSR for a specific Certificate Authority.

#|
||Field | Description ||
|| certificateAuthorityId | **string**

Required field. The ID of the Certificate Authority for which you want to retrieve the CSR.

The maximum string length in characters is 50. ||
|#

## Response {#yandex.cloud.certificatemanager.v1.privateca.CsrForSignCertificateAuthority}

**HTTP Code: 200 - OK**

```json
{
  "certificateAuthorityId": "string",
  "pemContent": "string"
}
```

Certificate Signing Request (CSR) for signing a certificate authority.

#|
||Field | Description ||
|| certificateAuthorityId | **string**

ID of the certificate authority for which the CSR was generated. ||
|| pemContent | **string**

PEM-encoded CSR content. ||
|#